Upstream information

CVE-2011-0762 at MITRE

Description

The vsf_filename_passes_filter function in ls.c in vsftpd before 2.3.3 allows remote authenticated users to cause a denial of service (CPU consumption and process slot exhaustion) via crafted glob expressions in STAT commands in multiple FTP sessions, a different vulnerability than CVE-2010-2632.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 676259 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • vsftpd >= 2.0.7-4.21.1
Patchnames:
slessp1-vsftpd
openSUSE 11.2
  • vsftpd-debuginfo >= 2.0.7-5.6.1
  • vsftpd-debugsource >= 2.0.7-5.6.1
openSUSE 11.2
  • vsftpd >= 2.0.7-5.6.1
openSUSE 11.3
  • vsftpd-debuginfo >= 2.2.2-3.3.1
  • vsftpd-debugsource >= 2.2.2-3.3.1
openSUSE 11.3
  • vsftpd >= 2.2.2-3.3.1
Open Enterprise Server
  • vsftpd >= 2.0.4-0.11
core9.s390x
core9.ia64
core9.s390
sles9-oes.x86
core9.x86
core9.ppc
sles9-nlpos.x86
core9.x86-64
YOU Patch Nr: 12690
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP4 for IPF
SUSE Linux Enterprise Server 10 SP4 for x86
  • vsftpd >= 2.0.4-19.18.222.20.1
sles10-sp4.x86
sles10-sp4.x86-64
sles10-sp4.ppc
sles10-sp4.ia64
sles10-sp4.s390x
ZYPP Patch Nr: 7408
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • vsftpd >= 2.0.7-4.21.1
sles11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1-vmware.x86-64
sles11-sp1.s390x
sles11-sp1.x86-64
sles11-sp1.ppc
sles11-sp1.ia64
SAT Patch Nr: 4114
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • vsftpd >= 2.0.4-19.18.222.20.1
sles10-sp3.ppc
sles10-sp3.x86
sles10-sp3.s390x
sles10-sp3.x86-64
sles10-sp3.ia64
sle10-sp3-sdk.ia64
sle10-sp3-sdk.x86
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ppc
sle10-sp3-sdk.x86-64
ZYPP Patch Nr: 7373
openSUSE 11.4
  • vsftpd >= 2.3.2-3.3.1
openSUSE 11.4
  • vsftpd >= 2.3.2-3.3.1
  • vsftpd-debuginfo >= 2.3.2-3.3.1
  • vsftpd-debugsource >= 2.3.2-3.3.1
Patchnames:
vsftpd


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Server 10 SP3 vsftpd Released
SUSE Linux Enterprise Server 10 SP4 vsftpd Released
SUSE Linux Enterprise Server 10 SP4 LTSS vsftpd Released
SUSE Linux Enterprise Server 11 SP1 vsftpd Released
SUSE Linux Enterprise Server 11 SP1 LTSS vsftpd Released
SUSE Linux Enterprise Server 11 SP3 LTSS vsftpd Released
SUSE Linux Enterprise Server 11 SP4 vsftpd Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 vsftpd Released